<!DOCTYPE html>
<html>

<head>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

</head>

<body>
  <div class="container">
    <h2 style="text-align: center;">Personal Data Submit Form</h2>

    <div class="jumbotron container">
      <div class="row form-group">
        <div class="col-sm-3">
          <label for="input-first-name">First Name</label>
        </div>
        <div class="col-sm-9">
          <input type="text" id="inp-first-name" name="firstname" placeholder="Your first name ..."
            class="form-control">
        </div>
      </div>
      <div class="row form-group">
        <div class="col-sm-3">
          <label for="inp-last-name">Last Name</label>
        </div>
        <div class="col-sm-9">
          <input type="text" id="inp-last-name" name="lastname" placeholder="Your last name.." class="form-control">
        </div>
      </div>
      <div class="row form-group">
        <div class="col-sm-3">
          <label for="age">Age</label>
        </div>
        <div class="col-sm-9">
          <input type="number" id="inp-age" name="age" placeholder="Your age ..." class="form-control">
        </div>
      </div>
      <div class="row">
        <div class="col-sm-12" style="text-align: right;">
          <button id="btn-submit-data" class="btn btn-info">Submit Data</button>
        </div>
      </div>
    </div>
    <!-- HTML Log -->
    <hr>
    <div style="text-align: right;">
      <button id="btn-clear-log" class="btn btn-info"> Clear HTML Log </button>
    </div>
    <p id="p-html-log" ></p>
  </div>
</body>

<script>

//add event for Submit Data button
$('#btn-submit-data').on('click', btnSubmitData);

//add event for Clear HTML button
$('#btn-clear-log').on('click', btnClearData);

//function of Submit Data button
function btnSubmitData(){
  
  var vInfoObject = {
      firstName: "",
      lastName: "",
      age: Number,
  }

  //read data from web
  readWebData(vInfoObject);

  //validate the input data
  var vValidResult = validateInputData(vInfoObject);

  //display to console
  if (vValidResult){
      console.log("%cTHE INPUT INFORMATION:" , "color: orange");
      console.log("Firstname: " + vInfoObject.firstName);
      console.log("Lastname: " + vInfoObject.lastName);
      console.log("Age: " + vInfoObject.age);

      displayWeb(vInfoObject);

  };
}

//function for reading data from web
function readWebData(paramData){

  var vFirstNameInp = $('#inp-first-name').val();
  var vLastNameInp = $('#inp-last-name').val();
  var vAgeInp = $('#inp-age').val();

  paramData.firstName = vFirstNameInp;
  paramData.lastName = vLastNameInp;
  paramData.age = vAgeInp;
}

//function for validating the input data
function validateInputData(paramData){
  if (paramData.firstName == ""){
    alert("Please input your firstname !!!");
    return false;
  }
  if (paramData.lastName == ""){
    alert("Please input your lastname !!!");
    return false;
  }
  if (paramData.age > 200 || paramData.age < 0){
    alert("Your age should be between 0 and 200 !!!");
    return false;
  }
  return true;
}

//functION for displaying the data on the web
function displayWeb(paramData){

  var vDisplayWeb = $("#p-html-log");
      vDisplayWeb.append("Firstname: " + paramData.firstName + "<br>");
      vDisplayWeb.append("Lastname: " + paramData.lastName + "<br>");
      vDisplayWeb.append("Age: " + paramData.age);
}

//funtion for clearHTML button
function btnClearData(){
  
  $("#p-html-log").html("");

}



</script>

</html>